Package fr.gouv.vitam.common.model.unit

# Class DescriptiveMetadataModel

java.lang.Object
fr.gouv.vitam.common.model.unit.DescriptiveMetadataModel

public class DescriptiveMetadataModel extends Object
DescriptiveMetadataModel POJO

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SIGNING_INFORMATION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DescriptiveMetadataModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAcquiredDate()`
  `List<AgentTypeModel>`
  `getAddressee()`
  `List<AgentTypeModel>`
  `getAgent()`
  `Map<String,Object>`
  `getAny()`
  `List<String>`
  `getArchivalAgencyArchiveUnitIdentifier()`
  `List<AgentTypeModel>`
  `getAuthorizedAgent()`
  `CoverageType`
  `getCoverage()`
  `String`
  `getCreatedDate()`
  `CustodialHistoryModel`
  `getCustodialHistory()`
  `String`
  `getDateLitteral()`
  `String`
  `getDescription()`
  `TextByLang`
  `getDescription_()`
  `String`
  `getDescriptionLanguage()`
  `LevelType`
  `getDescriptionLevel()`
  `String`
  `getDocumentType()`
  `String`
  `getEndDate()`
  `List<EventTypeModel>`
  `getEvent()`
  `List<String>`
  `getFilePlanPosition()`
  `GpsType`
  `getGps()`
  `List<KeywordsType>`
  `getKeyword()`
  `List<String>`
  `getLanguage()`
  `OrganizationType`
  `getOriginatingAgency()`
  `List<String>`
  `getOriginatingAgencyArchiveUnitIdentifier()`
  `List<String>`
  `getOriginatingSystemId()`
  `String`
  `getOriginatingSystemIdReplyTo()`
  `List<PersistentIdentifierModel>`
  `getPersistentIdentifier()`
  `String`
  `getReceivedDate()`
  `List<AgentTypeModel>`
  `getRecipient()`
  `String`
  `getRegisteredDate()`
  `fr.gouv.culture.archivesdefrance.seda.v2.RelatedObjectReferenceType`
  `getRelatedObjectReference()`
  `List<AgentTypeModel>`
  `getSender()`
  `String`
  `getSentDate()`
  `List<SignatureTypeModel>`
  `getSignature()`
  Deprecated.
  Old Signature model (Seda 2.1 invalid input: '&' 2.2).
  `SigningInformationTypeModel`
  `getSigningInformation()`
  `String`
  `getSource()`
  `String`
  `getStartDate()`
  `String`
  `getStatus()`
  `OrganizationType`
  `getSubmissionAgency()`
  `List<String>`
  `getSystemId()`
  `List<String>`
  `getTag()`
  `List<String>`
  `getTextContent()`
  `String`
  `getTitle()`
  `TextByLang`
  `getTitle_()`
  `String`
  `getTransactedDate()`
  `List<String>`
  `getTransferringAgencyArchiveUnitIdentifier()`
  `List<AgentTypeModel>`
  `getTransmitter()`
  `String`
  `getType()`
  `String`
  `getVersion()`
  `List<AgentTypeModel>`
  `getWriter()`
  `void`
  `setAcquiredDate(String acquiredDate)`
  `void`
  `setAddressee(List<AgentTypeModel> addressee)`
  `void`
  `setAgent(List<AgentTypeModel> agent)`
  `void`
  `setAny(String key, Object value)`
  `void`
  `setAny(Map<String,Object> any)`
  `void`
  `setArchivalAgencyArchiveUnitIdentifier(List<String> archivalAgencyArchiveUnitIdentifier)`
  `void`
  `setAuthorizedAgent(List<AgentTypeModel> authorizedAgent)`
  `void`
  `setCoverage(CoverageType coverage)`
  `void`
  `setCreatedDate(String createdDate)`
  `void`
  `setCustodialHistory(CustodialHistoryModel custodialHistory)`
  `void`
  `setDateLitteral(String dateLitteral)`
  `void`
  `setDescription(String description)`
  `void`
  `setDescription_(TextByLang description_)`
  `void`
  `setDescriptionLanguage(String descriptionLanguage)`
  `void`
  `setDescriptionLevel(LevelType descriptionLevel)`
  `void`
  `setDocumentType(String documentType)`
  `void`
  `setEndDate(String endDate)`
  `void`
  `setEvent(List<EventTypeModel> event)`
  `void`
  `setFilePlanPosition(List<String> filePlanPosition)`
  `void`
  `setGps(GpsType gps)`
  `void`
  `setKeyword(List<KeywordsType> keyword)`
  `void`
  `setLanguage(List<String> language)`
  `void`
  `setOriginatingAgency(OrganizationType originatingAgency)`
  `void`
  `setOriginatingAgencyArchiveUnitIdentifier(List<String> originatingAgencyArchiveUnitIdentifier)`
  `void`
  `setOriginatingSystemId(List<String> originatingSystemId)`
  `void`
  `setOriginatingSystemIdReplyTo(String originatingSystemIdReplyTo)`
  `void`
  `setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifier)`
  `void`
  `setReceivedDate(String receivedDate)`
  `void`
  `setRecipient(List<AgentTypeModel> recipient)`
  `void`
  `setRegisteredDate(String registeredDate)`
  `void`
  `setRelatedObjectReference(fr.gouv.culture.archivesdefrance.seda.v2.RelatedObjectReferenceType relatedObjectReference)`
  `void`
  `setSender(List<AgentTypeModel> sender)`
  `void`
  `setSentDate(String sentDate)`
  `DescriptiveMetadataModel`
  `setSignature(List<SignatureTypeModel> signature)`
  Deprecated.
  Old Signature model (Seda 2.1 invalid input: '&' 2.2).
  `void`
  `setSigningInformation(SigningInformationTypeModel signingInformation)`
  `void`
  `setSource(String source)`
  `void`
  `setStartDate(String startDate)`
  `void`
  `setStatus(String status)`
  `void`
  `setSubmissionAgency(OrganizationType submissionAgency)`
  `void`
  `setSystemId(List<String> systemId)`
  `void`
  `setTag(List<String> tag)`
  `void`
  `setTextContent(List<String> textContent)`
  `void`
  `setTitle(String title)`
  `void`
  `setTitle_(TextByLang title_)`
  `void`
  `setTransactedDate(String transactedDate)`
  `void`
  `setTransferringAgencyArchiveUnitIdentifier(List<String> transferringAgencyArchiveUnitIdentifier)`
  `void`
  `setTransmitter(List<AgentTypeModel> transmitter)`
  `void`
  `setType(String type)`
  `void`
  `setVersion(String version)`
  `void`
  `setWriter(List<AgentTypeModel> writer)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SIGNING_INFORMATION

    public static final String SIGNING_INFORMATION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DescriptiveMetadataModel

    public DescriptiveMetadataModel()

- ## Method Details

  - ### getDescriptionLevel

    public LevelType getDescriptionLevel()

  - ### setDescriptionLevel

    public void setDescriptionLevel(LevelType descriptionLevel)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getTitle_

    public TextByLang getTitle_()

  - ### setTitle_

    public void setTitle_(TextByLang title_)

  - ### getFilePlanPosition

    public List<String> getFilePlanPosition()

  - ### setFilePlanPosition

    public void setFilePlanPosition(List<String> filePlanPosition)

  - ### getSystemId

    public List<String> getSystemId()

  - ### setSystemId

    public void setSystemId(List<String> systemId)

  - ### getOriginatingSystemId

    public List<String> getOriginatingSystemId()

  - ### setOriginatingSystemId

    public void setOriginatingSystemId(List<String> originatingSystemId)

  - ### getArchivalAgencyArchiveUnitIdentifier

    public List<String> getArchivalAgencyArchiveUnitIdentifier()

  - ### setArchivalAgencyArchiveUnitIdentifier

    public void setArchivalAgencyArchiveUnitIdentifier(List<String> archivalAgencyArchiveUnitIdentifier)

  - ### getOriginatingAgencyArchiveUnitIdentifier

    public List<String> getOriginatingAgencyArchiveUnitIdentifier()

  - ### setOriginatingAgencyArchiveUnitIdentifier

    public void setOriginatingAgencyArchiveUnitIdentifier(List<String> originatingAgencyArchiveUnitIdentifier)

  - ### getTransferringAgencyArchiveUnitIdentifier

    public List<String> getTransferringAgencyArchiveUnitIdentifier()

  - ### setTransferringAgencyArchiveUnitIdentifier

    public void setTransferringAgencyArchiveUnitIdentifier(List<String> transferringAgencyArchiveUnitIdentifier)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getDescription_

    public TextByLang getDescription_()

  - ### setDescription_

    public void setDescription_(TextByLang description_)

  - ### getCustodialHistory

    public CustodialHistoryModel getCustodialHistory()

  - ### setCustodialHistory

    public void setCustodialHistory(CustodialHistoryModel custodialHistory)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getDocumentType

    public String getDocumentType()

  - ### setDocumentType

    public void setDocumentType(String documentType)

  - ### getLanguage

    public List<String> getLanguage()

  - ### setLanguage

    public void setLanguage(List<String> language)

  - ### getDescriptionLanguage

    public String getDescriptionLanguage()

  - ### setDescriptionLanguage

    public void setDescriptionLanguage(String descriptionLanguage)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getVersion

    public String getVersion()

  - ### setVersion

    public void setVersion(String version)

  - ### getTag

    public List<String> getTag()

  - ### setTag

    public void setTag(List<String> tag)

  - ### getKeyword

    public List<KeywordsType> getKeyword()

  - ### setKeyword

    public void setKeyword(List<KeywordsType> keyword)

  - ### getCoverage

    public CoverageType getCoverage()

  - ### setCoverage

    public void setCoverage(CoverageType coverage)

  - ### getOriginatingAgency

    public OrganizationType getOriginatingAgency()

  - ### setOriginatingAgency

    public void setOriginatingAgency(OrganizationType originatingAgency)

  - ### getSubmissionAgency

    public OrganizationType getSubmissionAgency()

  - ### setSubmissionAgency

    public void setSubmissionAgency(OrganizationType submissionAgency)

  - ### getAuthorizedAgent

    public List<AgentTypeModel> getAuthorizedAgent()

  - ### getAgent

    public List<AgentTypeModel> getAgent()

  - ### setAuthorizedAgent

    public void setAuthorizedAgent(List<AgentTypeModel> authorizedAgent)

  - ### setAgent

    public void setAgent(List<AgentTypeModel> agent)

  - ### getWriter

    public List<AgentTypeModel> getWriter()

  - ### setWriter

    public void setWriter(List<AgentTypeModel> writer)

  - ### getAddressee

    public List<AgentTypeModel> getAddressee()

  - ### getTransmitter

    public List<AgentTypeModel> getTransmitter()

  - ### setTransmitter

    public void setTransmitter(List<AgentTypeModel> transmitter)

  - ### getSender

    public List<AgentTypeModel> getSender()

  - ### setSender

    public void setSender(List<AgentTypeModel> sender)

  - ### setAddressee

    public void setAddressee(List<AgentTypeModel> addressee)

  - ### getRecipient

    public List<AgentTypeModel> getRecipient()

  - ### setRecipient

    public void setRecipient(List<AgentTypeModel> recipient)

  - ### getSource

    public String getSource()

  - ### setSource

    public void setSource(String source)

  - ### getRelatedObjectReference

    public fr.gouv.culture.archivesdefrance.seda.v2.RelatedObjectReferenceType getRelatedObjectReference()

  - ### setRelatedObjectReference

    public void setRelatedObjectReference(fr.gouv.culture.archivesdefrance.seda.v2.RelatedObjectReferenceType relatedObjectReference)

  - ### getCreatedDate

    public String getCreatedDate()

  - ### setCreatedDate

    public void setCreatedDate(String createdDate)

  - ### getTransactedDate

    public String getTransactedDate()

  - ### setTransactedDate

    public void setTransactedDate(String transactedDate)

  - ### getAcquiredDate

    public String getAcquiredDate()

  - ### setAcquiredDate

    public void setAcquiredDate(String acquiredDate)

  - ### getSentDate

    public String getSentDate()

  - ### setSentDate

    public void setSentDate(String sentDate)

  - ### getReceivedDate

    public String getReceivedDate()

  - ### setReceivedDate

    public void setReceivedDate(String receivedDate)

  - ### getRegisteredDate

    public String getRegisteredDate()

  - ### setRegisteredDate

    public void setRegisteredDate(String registeredDate)

  - ### getStartDate

    public String getStartDate()

  - ### setStartDate

    public void setStartDate(String startDate)

  - ### getEndDate

    public String getEndDate()

  - ### setEndDate

    public void setEndDate(String endDate)

  - ### getEvent

    public List<EventTypeModel> getEvent()

  - ### setEvent

    public void setEvent(List<EventTypeModel> event)

  - ### getSignature

    public List<SignatureTypeModel> getSignature()
    Deprecated.
    Old Signature model (Seda 2.1 invalid input: '&' 2.2). Superseded by SigningInformation model in Seda 2.3+.

  - ### setSignature

    public DescriptiveMetadataModel setSignature(List<SignatureTypeModel> signature)
    Deprecated.
    Old Signature model (Seda 2.1 invalid input: '&' 2.2). Superseded by SigningInformation model in Seda 2.3+.

  - ### getSigningInformation

    public SigningInformationTypeModel getSigningInformation()

  - ### setSigningInformation

    public void setSigningInformation(SigningInformationTypeModel signingInformation)

  - ### getGps

    public GpsType getGps()

  - ### setGps

    public void setGps(GpsType gps)

  - ### getTextContent

    public List<String> getTextContent()

  - ### setTextContent

    public void setTextContent(List<String> textContent)

  - ### getOriginatingSystemIdReplyTo

    public String getOriginatingSystemIdReplyTo()

  - ### setOriginatingSystemIdReplyTo

    public void setOriginatingSystemIdReplyTo(String originatingSystemIdReplyTo)

  - ### getDateLitteral

    public String getDateLitteral()

  - ### setDateLitteral

    public void setDateLitteral(String dateLitteral)

  - ### getPersistentIdentifier

    public List<PersistentIdentifierModel> getPersistentIdentifier()

  - ### setPersistentIdentifier

    public void setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifier)

  - ### setAny

    public void setAny(Map<String,Object> any)

  - ### getAny

    public Map<String,Object> getAny()

  - ### setAny

    public void setAny(String key, Object value)